İçeriğe geç

Recraft 20b

Entegre et

Model kimliği recraft-20b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/recraft-20b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,022 22 API kredisi Bu sayfada çalıştır

API anahtarı al
Recraft Metinden Görsele #image-generation#vector-art#typograph#style

Vektör ve dijital illüstrasyon dahil birçok seçilebilir stile ve renk ipuçlarına sahip metinden görüntü modeli

Recraft · Görsel

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 1000
image_size varsayılan square_hd
varsayılan realistic_image

Oluşturulan görsellere uygulanan görsel stil.

Gelişmiş style_id · enable_safety_checker · colors

Özel stil referansı için isteğe bağlı tanımlayıcı.

varsayılan []

Tercih edilen renkleri içeren dizi.

POST /run/recraft-20b?wait=20 fiyat → $0,022
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/recraft-20b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Recraft 20b hakkında

En fazla 1000 karakterlik bir istemden görseller üretir. `style` parametresi gerçekçi görsel, dijital illüstrasyon ve vektör illüstrasyonu genelinde uzun bir seçenek listesi sunar; `style_id` özel bir stile başvurur. `colors` dizisi tercih edilen renkleri önerir; `image_size` kare, portre ve yatay ön ayarları sunar.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 1.000 karakter
image_sizeisteğe bağlı
Türobject
Varsayılansquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
styleisteğe bağlı
Türenum
Varsayılanrealistic_image
anyrealistic_imagedigital_illustrationvector_illustrationrealistic_image/b_and_wrealistic_image/enterpriserealistic_image/hard_flashrealistic_image/hdrrealistic_image/motion_blurrealistic_image/natural_lightrealistic_image/studio_portraitdigital_illustration/2d_art_posterdigital_illustration/2d_art_poster_2digital_illustration/3ddigital_illustration/80sdigital_illustration/engraving_color
+21 tane dahadigital_illustration/glowdigital_illustration/graindigital_illustration/hand_drawndigital_illustration/hand_drawn_outlinedigital_illustration/handmade_3ddigital_illustration/infantile_sketchdigital_illustration/kawaiidigital_illustration/pixel_artdigital_illustration/psychedelicdigital_illustration/seamlessdigital_illustration/voxeldigital_illustration/watercolorvector_illustration/cartoonvector_illustration/doodle_line_artvector_illustration/engravingvector_illustration/flat_2vector_illustration/kawaiivector_illustration/line_artvector_illustration/line_circuitvector_illustration/linocutvector_illustration/seamless
Oluşturulan görsellere uygulanan görsel stil.
colorsisteğe bağlı
Türobject[]
Varsayılan[]
Tercih edilen renkleri içeren dizi.
colors[].risteğe bağlı
Türinteger
Varsayılan0
0 – 255
Kırmızı bileşeninin değeri.
colors[].gisteğe bağlı
Türinteger
Varsayılan0
0 – 255
Yeşil bileşeninin değeri.
colors[].bisteğe bağlı
Türinteger
Varsayılan0
0 – 255
Mavi bileşeninin değeri.
style_idisteğe bağlı
Türstring | null
Özel stil referansı için isteğe bağlı tanımlayıcı.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılanfalse
Kapalı ayarı hesap yetkilendirmesi gerektiren güvenlik denetimi anahtarı. Bu yetkilendirme olmadan ayardan bağımsız olarak her istek denetlenir; true denetleyiciyi etkinleştirir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft-20b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 22,
    "usd": "0.022",
    "charged": 22,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
images
array of object {url, content_type, file_name, file_size}

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/recraft-20b.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt